
Base Distribution - Feature # 32833

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2011-12-25 Assigned To: Sebastian Kurfuerst
Updated: 2012-01-07 Due date:
Subject: Update Aloha to most recent Development Version -- with refactored Aloha Blocks
Description

Aloha Blocks have been greatly reworked by me; with lots of performance improvements and bugfixes along the road.

A short overview of the changes can be found at: https://github.com/alohaeditor/Aloha-Editor/pull/366/

However, there are quite some architectural changes in Aloha, which means we need to adjust some parts:

    -  Loading Order has changed; require.js is now embedded in aloha.js
    -  jQuery is now available under Aloha.jQuery; not under window.alohaQuery
    -  Block API has changed; block internals have changes
    -  numerous bugfixes

Associated revisions
Revision cf5f424f - 2012-01-06 11:19 - Sebastian Kurfuerst

[FEATURE] (JavaScript): Adjust TYPO3 Phoenix to Aloha Changes

    -  Loading Order has changed; require.js is now embedded in aloha.js
    -  jQuery is now available under Aloha.jQuery; not under window.alohaQuery
    -  Block API has changed; block internals have changes
    -  numerous bugfixes

In order to test this change, make sure to apply the corresponding changes
to Aloha as well.

Resolves: #32833
Change-Id: Iff30cf20012a713b50cd0651a85340b7485dbf64

History
#1 - 2011-12-25 19:30 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7614

#2 - 2011-12-25 19:30 - Sebastian Kurfuerst

https://review.typo3.org/#change,7613

#3 - 2011-12-25 19:30 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
- % Done changed from 0 to 100

#4 - 2012-01-06 11:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7614

#5 - 2012-01-06 11:16 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7614

#6 - 2012-01-06 11:19 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7614

#7 - 2012-01-07 08:14 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
